var focused = document.activeElement;
var selectedText;

if (focused) {
    try {
        selectedText = focused.value.substring(focused.selectionStart, focused.selectionEnd);
    } catch (err) {
        // do nothing
    }
}

if (typeof selectedText === "undefined") {
    if (typeof window.top !== "undefined") {
        var sel = window.top.getSelection();
    } else {
        var sel = window.getSelection();
    }
    var selectedText = sel.toString();
}

self.port.emit("returnPageInfo", {
    selection: selectedText
});
