// panel.js - stecks's module
// author: steck

function reset() {
    document.getElementById('iframe').src = "loading.html";
}

self.port.on("tabInfo", function(arg) {
    if (!(arg.user_email && arg.ext_key)) {
        self.port.emit("reauth");
        console.log("REAUTH because we couldn't find a stored email/key");
    } else if (arg.url && arg.url.indexOf('http') === 0) {
        var share_url = "http://www.tumblr.com/share_frame?key_note=Firefox%20Extension&v=3&u="+encodeURIComponent(arg.url)+"&t="+encodeURIComponent(arg.title)+"&s="+encodeURIComponent(arg.selection)+"&email="+encodeURIComponent(arg.user_email)+"&key="+arg.ext_key;
        document.getElementById('iframe').src = share_url;
    } else {
        document.getElementById('iframe').src = "error.html";
    }
});

self.port.on("reset", function(arg) {
    reset();
});

var onmessage = function(e) {
    console.log('message: ' + e.data);
    if (e.data == "badKey") {
        self.port.emit("reauth");
        console.log("REAUTH because the stored email/key is not valid!");
    }
    self.port.emit("close");
};

if(typeof window.addEventListener != 'undefined') {
    window.addEventListener('message', onmessage, false);
} else if (typeof window.attachEvent != 'undefined') {
    window.attachEvent('onmessage', onmessage);
}
